VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
Listener Class Reference
Standalone Library

Value listener More...

Inheritance diagram for Listener:

## Public Types
using | OnBeginEditFunc = void(*)(IValue &)
using | OnEndEditFunc = void(*)(IValue &)
using | OnStateChangeFunc = void(*)(IValue &)
using | OnPerformEditFunc = void(*)(IValue &, IValue::Type)

## Public Member Functions
| Listener (IValue &value)
Public Member Functions inherited from ListenerBase
| ListenerBase (IValue &value)
| ~ListenerBase () noexceptoverride
IValue & | getValueObject () const
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Public Attributes
OnBeginEditFunc | onBeginEditFunc {nullptr}
OnEndEditFunc | onEndEditFunc {nullptr}
OnStateChangeFunc | onStateChangeFunc {nullptr}
OnPerformEditFunc | onPerformEditFunc {nullptr}

## Detailed Description

Value listener

## Member Typedef Documentation

using OnBeginEditFunc = void(*) (IValue&)

using OnEndEditFunc = void(*) (IValue&)

using OnPerformEditFunc = void(*) (IValue&, IValue::Type)

using OnStateChangeFunc = void(*) (IValue&)

## Constructor & Destructor Documentation

Listener | ( | IValue & | value | ) |
| inline

## Member Data Documentation

OnBeginEditFunc onBeginEditFunc {nullptr}

OnEndEditFunc onEndEditFunc {nullptr}

OnPerformEditFunc onPerformEditFunc {nullptr}

OnStateChangeFunc onStateChangeFunc {nullptr}

The documentation for this class was generated from the following file:

- valuelistener.h